#!/bin/sh -e

# Usage: ./getsources.sh
#     (this produces hdfview-%version-nolibs.tar.xz)
url="$(rpmspec -P *spec | awk '/^#Source0:/{print $2}')"
version="$(rpmspec -q --srpm --qf %{version} *spec)"

fname="hdfview-${version}-nolibs.tar.xz"
if [ -e "$fname" ]; then
    echo "$fname already exists, not downloading"
    exit 0
fi

echo "Downloading version ${version}"
[ -x /bin/pxz ] && xz=pxz || xz=xz

curl -sSL $url | \
    gunzip | \
    tar --delete --wildcards -f - '*/lib/*' | \
    $xz -9v > "$fname"

echo "$fname is ready"
